commit:     33dabd8d7d85b97477cf002a2aa715f0a9fbf224
Author:     Tomas Mozes <hydrapolic <AT> gmail <DOT> com>
AuthorDate: Mon Nov 12 08:22:11 2018 +0000
Commit:     Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
CommitDate: Mon Nov 12 18:57:48 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=33dabd8d

dev-db/redis: bump to 5.0.1

Package-Manager: Portage-2.3.51, Repoman-2.3.12
Signed-off-by: Tomáš Mózes <hydrapolic <AT> gmail.com>
Signed-off-by: Thomas Deutschmann <whissi <AT> gentoo.org>

 dev-db/redis/Manifest           |   1 +
 dev-db/redis/redis-5.0.1.ebuild | 138 ++++++++++++++++++++++++++++++++++++++++
 2 files changed, 139 insertions(+)

diff --git a/dev-db/redis/Manifest b/dev-db/redis/Manifest
index bb7d91b87b0..2bc8c73843a 100644
--- a/dev-db/redis/Manifest
+++ b/dev-db/redis/Manifest
@@ -8,3 +8,4 @@ DIST redis-4.0.7.tar.gz 1729488 BLAKE2B 
7a5337b868e4da4a7387b31bc9d6bd4c86abd701
 DIST redis-4.0.8.tar.gz 1729973 BLAKE2B 
32d82a07beba9ea8f0b08a8fc69da548a1974e5839f052a9803ffb0f52ef920df9b128092e061b5e693581a50efef4a1212c1f6310dc8492eff5ca841ff3b03a
 SHA512 
11c126ddef3bedbceb02ee7a80a61374e081da8087055d77970b0097066a6f1c5e0c4f0d246c9851f8c3beca22f185c184669a9dc4f1c7c229f8cd2c34196ab6
 DIST redis-4.0.9.tar.gz 1737022 BLAKE2B 
35a83d146062f5b14c023d7fd9f28d743ba6bec3e0e4bf9ce8e065a706bbd7508ffbcb8b1b4d18f6b6774589b5456540ba8717b9f449fcbd758c0f57dbd505a3
 SHA512 
a6cf63cb361f0a87da3955ba628190dc04cad342f7a664d18e44416ee67dd86ed6e3a46b9701e994f1417e56b819b3c6fc595f363c10bb4b83d5033919d29598
 DIST redis-5.0.0.tar.gz 1947721 BLAKE2B 
c776796a2efe3efd9f9b70dc9be06c10695a5f3cb40765b64f7adddbe5e77eb68650986d8c705e947d1aa46f0f909a2aa2743f43a12ba6c30615e5f9fc2ca55b
 SHA512 
818277cf8c14eb5f0b864e936f657c8021a3614a76dda8975d82b20ab4e3983731363b7b527fb504fd41292304de079f78702503fca867ac6f45a97a391eec07
+DIST redis-5.0.1.tar.gz 1951542 BLAKE2B 
6081acf2ed6af5a5790ad3164fa0008f934360c8b2b88794a60593dd954a0104b38b826f3de92add609b803c87c80266d1494c47e879c797525bb4a6f1a095fc
 SHA512 
eb0f10903a8e87c0ca33597060b611a11c42576c64dd6d648b59cd9007d4ee6fe7c3762daf428c2d19ab05576a4b44dc3663fe1267c60acca58eeb2bba709e58

diff --git a/dev-db/redis/redis-5.0.1.ebuild b/dev-db/redis/redis-5.0.1.ebuild
new file mode 100644
index 00000000000..2b13aad0139
--- /dev/null
+++ b/dev-db/redis/redis-5.0.1.ebuild
@@ -0,0 +1,138 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit autotools eapi7-ver flag-o-matic systemd toolchain-funcs user
+
+DESCRIPTION="A persistent caching system, key-value and data structures 
database"
+HOMEPAGE="https://redis.io";
+SRC_URI="http://download.redis.io/releases/${P}.tar.gz";
+
+LICENSE="BSD"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~x86 ~amd64-linux ~x86-linux 
~x86-macos ~x86-solaris"
+IUSE="+jemalloc tcmalloc luajit test"
+SLOT="0"
+
+# Redis does NOT build with Lua 5.2 or newer at this time.
+# This should link correctly with both unslotted & slotted Lua, without
+# changes.
+RDEPEND="
+       luajit? ( dev-lang/luajit:2 )
+       !luajit? ( || ( dev-lang/lua:5.1 =dev-lang/lua-5.1*:0 ) )
+       tcmalloc? ( dev-util/google-perftools )
+       jemalloc? ( >=dev-libs/jemalloc-5.1:= )"
+
+DEPEND="
+       ${RDEPEND}
+       virtual/pkgconfig
+       test? ( dev-lang/tcl:0= )"
+
+REQUIRED_USE="?? ( tcmalloc jemalloc )"
+
+pkg_setup() {
+       enewgroup redis 75
+       enewuser redis 75 -1 /var/lib/redis redis
+}
+
+src_prepare() {
+       eapply \
+               "${FILESDIR}"/${PN}-3.2.3-config.patch \
+               "${FILESDIR}"/${PN}-5.0-shared.patch \
+               "${FILESDIR}"/${PN}-5.0-sharedlua.patch \
+               "${FILESDIR}"/${PN}-sentinel-5.0-config.patch
+       eapply_user
+
+       # Copy lua modules into build dir
+       cp 
"${S}"/deps/lua/src/{fpconv,lua_bit,lua_cjson,lua_cmsgpack,lua_struct,strbuf}.c 
"${S}"/src || die
+       cp "${S}"/deps/lua/src/{fpconv,strbuf}.h "${S}"/src || die
+       # Append cflag for lua_cjson
+       # 
https://github.com/antirez/redis/commit/4fdcd213#diff-3ba529ae517f6b57803af0502f52a40bL61
+       append-cflags "-DENABLE_CJSON_GLOBAL"
+
+       # now we will rewrite present Makefiles
+       local makefiles="" MKF
+       for MKF in $(find -name 'Makefile' | cut -b 3-); do
+               mv "${MKF}" "${MKF}.in"
+               sed -i  -e 's:$(CC):@CC@:g' \
+                       -e 's:$(CFLAGS):@AM_CFLAGS@:g' \
+                       -e 's: $(DEBUG)::g' \
+                       -e 's:$(OBJARCH)::g' \
+                       -e 's:ARCH:TARCH:g' \
+                       -e '/^CCOPT=/s:$: $(LDFLAGS):g' \
+                       "${MKF}.in" \
+               || die "Sed failed for ${MKF}"
+               makefiles+=" ${MKF}"
+       done
+       # autodetection of compiler and settings; generates the modified 
Makefiles
+       cp "${FILESDIR}"/configure.ac-3.2 configure.ac || die
+
+       # Use the correct pkgconfig name for Lua
+       has_version 'dev-lang/lua:5.1' \
+               && LUAPKGCONFIG=lua5.1 \
+               || LUAPKGCONFIG=lua
+       sed -i  \
+               -e "/^AC_INIT/s|, [0-9].+, |, $PV, |" \
+               -e 
"s:AC_CONFIG_FILES(\[Makefile\]):AC_CONFIG_FILES([${makefiles}]):g" \
+               -e "/PKG_CHECK_MODULES.*\<LUA\>/s,lua5.1,${LUAPKGCONFIG},g" \
+               configure.ac || die "Sed failed for configure.ac"
+       eautoreconf
+}
+
+src_configure() {
+       econf \
+               $(use_with luajit)
+
+       # Linenoise can't be built with -std=c99, see 
https://bugs.gentoo.org/451164
+       # also, don't define ANSI/c99 for lua twice
+       sed -i -e "s:-std=c99::g" deps/linenoise/Makefile deps/Makefile || die
+}
+
+src_compile() {
+       tc-export CC AR RANLIB
+
+       local myconf=""
+
+       if use tcmalloc; then
+               myconf="${myconf} USE_TCMALLOC=yes"
+       elif use jemalloc; then
+               myconf="${myconf} JEMALLOC_SHARED=yes"
+       else
+               myconf="${myconf} MALLOC=yes"
+       fi
+
+       emake ${myconf} V=1 CC="${CC}" AR="${AR} rcu" RANLIB="${RANLIB}"
+}
+
+src_install() {
+       insinto /etc/
+       doins redis.conf sentinel.conf
+       use prefix || fowners redis:redis /etc/{redis,sentinel}.conf
+       fperms 0644 /etc/{redis,sentinel}.conf
+
+       newconfd "${FILESDIR}/redis.confd-r1" redis
+       newinitd "${FILESDIR}/redis.initd-5" redis
+
+       systemd_newunit "${FILESDIR}/redis.service-2" redis.service
+       systemd_newtmpfilesd "${FILESDIR}/redis.tmpfiles" redis.conf
+
+       newconfd "${FILESDIR}/redis-sentinel.confd" redis-sentinel
+       newinitd "${FILESDIR}/redis-sentinel.initd" redis-sentinel
+
+       insinto /etc/logrotate.d/
+       newins "${FILESDIR}/${PN}.logrotate" ${PN}
+
+       dodoc 00-RELEASENOTES BUGS CONTRIBUTING MANIFESTO README.md
+
+       dobin src/redis-cli
+       dosbin src/redis-benchmark src/redis-server src/redis-check-aof 
src/redis-check-rdb
+       fperms 0750 /usr/sbin/redis-benchmark
+       dosym redis-server /usr/sbin/redis-sentinel
+
+       if use prefix; then
+               diropts -m0750
+       else
+               diropts -m0750 -o redis -g redis
+       fi
+       keepdir /var/{log,lib}/redis
+}

Reply via email to